#pragma once
#include <stdint.h>

namespace mini
{
    namespace mouse
    {
        int posx();
        int posy();
        int wheel();
        bool down(uint8_t i);
        bool press(uint8_t i);
        bool dblclick();
        void discard();
        bool inside(int x, int y, int w, int h);
    }
}
